@ECHO OFF

ECHO Checking System Architecture...
IF %PROCESSOR_ARCHITECTURE%==x86 (
    SET winDir=C:\Windows\System32\
    ECHO Found 32Bit System.
) ELSE (
    SET winDir=C:\Windows\SysWow64\
    Echo Found 64Bit System.
)
ECHO ------------------------------------

SET dir=%~dp0%

::Check if user is running as admin
ECHO Checking for Administrator Rights...
NET SESSION >nul 2>&1
IF NOT %ERRORLEVEL% EQU 0 (
    ECHO Please run this as administrator!
    COLOR 0C
    PAUSE
    EXIT /B
)
ECHO Administrator Rights are granted.
ECHO ------------------------------------

IF NOT EXIST "%dir%msadds32.ax" (
    ECHO msadds32.ax could not be found, make sure it's located in this directory!
    COLOR 0C
    PAUSE
    EXIT /B	
)
IF NOT EXIST "%dir%dxmasf.dll" (
    ECHO dxmasf.dll could not be found, make sure it's located in this directory!
    COLOR 0C
    PAUSE
    EXIT /B	
)
IF NOT EXIST "%dir%drmclien.dll" (
    ECHO drmclien.dll could not be found, make sure it's located in this directory!
    COLOR 0C
    PAUSE
    EXIT /B	
)
IF NOT EXIST "%dir%strmdll.dll" (
    ECHO strmdll.dll could not be found, make sure it's located in this directory!
    COLOR 0C
    PAUSE
    EXIT /B	
)

::Copy files to Windows\SysWow64\
ECHO Copying files...

:: ECHO Copying from %dir% to %winDir%


xcopy "%dir%msadds32.ax" "%winDir%\msadds32.ax"* /Y > nul
xcopy "%dir%dxmasf.dll" "%winDir%\Windows-Media-Source-Filter\dxmasf.dll"* /Y > nul
xcopy "%dir%drmclien.dll" "%winDir%\Windows-Media-Source-Filter\drmclien.dll"* /Y > nul
xcopy "%dir%strmdll.dll" "%winDir%\Windows-Media-Source-Filter\strmdll.dll"* /Y > nul

ECHO Successfully copied all needed dll's
ECHO ------------------------------------

regsvr32 %winDir%\Windows-Media-Source-Filter\dxmasf.dll /S
regsvr32 %winDir%\msadds32.ax /S

::Check if regsvr error'ed
IF NOT %ERRORLEVEL% EQU 0 (
    ECHO An error ocurred while registering the module!
    COLOR 0C
    PAUSE
    EXIT /B
)

COLOR 0A

::It all worked
echo Done!
echo The Windows Media Source Filter has been successfully installed.

pause > nul
